Note: Please go to docs.rightscale.com to access the current RightScale documentation set.
Home > FAQs > EC2 t2.x instance type requirement

EC2 t2.x instance type requirement

Table of Contents

Question:

I am getting the following errors when launching an instance using the t2.x type:

t2.micro
t2.small
t2.medium

 

400: VPCResourceNotSpecified: The specified instance type can only be used in a VPC. A subnet ID or network interface ID is required to carry out the request.
400: UnsupportedOperation: AMI 'ami-a6386bf4' with an instance-store root device is not supported for the instance type 't2.small'.
400: InvalidParameterCombination: Virtualization type 'hvm' is required for instances of type 't2.small'.

Answer:

The t2.x instance type is only supported in a VPC environment that is why the first error is thrown when used to launch an instance in a EC2-Classic. And it can only be used with an HVM type image (Hardware-assisted Virtual Machine). This is an AWS limitation.

 

An example of an HVM image is the following, usually has HVM in the name

RightImage_CentOS_6.5_x64_v13.5_LTS_HVM_EBS

 

Reference:

http://docs.aws.amazon.com/AWSEC2/la...instances.html

https://forums.aws.amazon.com/thread...ssageID=553644

 

Contact Information

You must to post a comment.
Last modified
23:55, 15 Jul 2014

Tags

This page has no custom tags.

Classifications

This page has no classifications.

Announcements

None

Glossary | 用語용어 Site Map | Site Help Community Corporate Site Get Support Dashboard Login
Doc Feedback Product Feedback Resources MultiCloud Marketplace Forums

Dashboard Status


© 2006-2014 RightScale, Inc. All rights reserved.
RightScale is a registered trademark of RightScale, Inc. All other products and services may be trademarks or servicemarks of their respective owners.